Subject: Ticket Assigned - I have so many orders not delivered. One of them is from November 2019 (6453654943). I was going to...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 01 Jun 2020 07:58:44 +0000

Hi Mhd Obiedo,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I have so many orders not delivered. One of them is from  November 2019 (6453654943). I was going to... I have so many orders not delivered. One of them is from  November 2019 (6453654943). I was going to report that to the police and to the department of consumer protection but I have not yet. Now I have 3 new orders from April 12 (6480975916) and April 14 (6481691425) & (6481716099). That is around 1200 SAR. I need all of them delivered please immediately. The delivery man calls us and says he is coming and he never comes. Please support as if I do not get my goods I shall report your app and store to department of consumer protection at ministry of commerce. Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/883518